---@meta

---@class ABP_Helicopter_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Box1 UBoxComponent
---@field Box UBoxComponent
---@field SkeletalMesh USkeletalMeshComponent
---@field EngineLoop UAudioComponent
---@field Fire USceneComponent
---@field FuelLeak USceneComponent
---@field DefaultSceneRoot USceneComponent
---@field TargetActor AActor
---@field OrbitRadius double
---@field OrbitSpeed double
---@field Elevation double
---@field CurrentAngle double
---@field TargetLocation FVector
---@field RadAngle double
---@field DesiredLocation FVector
---@field NewLocation FVector
---@field WinnebagoPreviousLocation FVector
---@field WinnebagoDistanceCount int32
---@field MissileAimOffsetMultiplier double
---@field MachineGunAimOffsetMultiplier double
---@field MachineGunTimer FTimerHandle
---@field CurrentMachineGunShots int32
---@field MachineGunBurstCount int32
---@field MachineGunStartPosition FVector
---@field CurrentHelicopterState FGameplayTag
---@field EnterReplicatedSequence AReplicatedLevelSequenceActor
---@field CaveEnterReplicatedSequence AReplicatedLevelSequenceActor
---@field Transition boolean
---@field CurrentTargetOrbitLocation FVector
---@field CurrentTargetOrbitRotation FRotator
---@field EndPart1TransformActor AActor
---@field CraneFallingReplicatedSequence AReplicatedLevelSequenceActor
---@field CraneFallingHelicopterReplicatedSequence AReplicatedLevelSequenceActor
---@field EndPart2TransformActor AActor
---@field IsLeaking boolean
---@field StartFire boolean
---@field OnFireHelicopterReplicatedSequence AReplicatedLevelSequenceActor
---@field LastTwistHelicopterReplicatedSequence AReplicatedLevelSequenceActor
---@field RandomWarningShotCount int32
---@field CurrentRandomWarningShotCountThreshold int32
---@field ShootingModeTimer FTimerHandle
---@field VFX_Leaking_01 UNiagaraComponent
---@field VFX_Leaking_02 UNiagaraComponent
---@field FoundFlare boolean
---@field FuelLeakSFX UAudioComponent
local ABP_Helicopter_C = {}

function ABP_Helicopter_C:HelicopterTrainHitSFX() end
function ABP_Helicopter_C:HelicopterTrainHornSFX() end
function ABP_Helicopter_C:HelicopterTunnelAppearSFX() end
function ABP_Helicopter_C:HelicopterExplodeFromFireSFX() end
function ABP_Helicopter_C:CheckAudioStateActive() end
---@return boolean
function ABP_Helicopter_C:ShouldShoot() end
---@param HelicopterTag FGameplayTag
function ABP_Helicopter_C:SetHelicopterTag(HelicopterTag) end
function ABP_Helicopter_C:OnRep_StartFire() end
function ABP_Helicopter_C:OnRep_IsLeaking() end
---@param DeltaTime double
function ABP_Helicopter_C:SetTargetOrbitLocationRotation(DeltaTime) end
---@param HasLineOfSight boolean
function ABP_Helicopter_C:CheckLineOfSightTarget(HasLineOfSight) end
function ABP_Helicopter_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function ABP_Helicopter_C:ReceiveTick(DeltaSeconds) end
function ABP_Helicopter_C:CheckWinneBagoDistance() end
function ABP_Helicopter_C:LaunchMissileAtTarget() end
---@param StartPositionOffset float
function ABP_Helicopter_C:MachineGunBurst(StartPositionOffset) end
function ABP_Helicopter_C:Shot() end
function ABP_Helicopter_C:OnFinished_Event() end
function ABP_Helicopter_C:FinishCaveEnter() end
function ABP_Helicopter_C:FinishCraneFalling() end
function ABP_Helicopter_C:OnFireFinished() end
function ABP_Helicopter_C:OnFinishedLastTwist() end
function ABP_Helicopter_C:FireStarter() end
function ABP_Helicopter_C:InitiateShootingMode() end
function ABP_Helicopter_C:DisableShootingMode() end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_Helicopter_C:BndEvt__BP_Helicopter_Box1_K2Node_ComponentBoundEvent_2_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_Helicopter_C:BndEvt__BP_Helicopter_Box_K2Node_ComponentBoundEvent_3_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
---@param EntryPoint int32
function ABP_Helicopter_C:ExecuteUbergraph_BP_Helicopter(EntryPoint) end


